# Method: customers.devices.get

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get#body.aspect)

Gets the details of a device.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{name=customers/*/devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The device to get. An API resource name in the format `customers/[CUSTOMER_ID]/devices/[DEVICE_ID]`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices#Device`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).